Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.ra
Class JmsLogger

    java.lang.Object
      |
      +--org.jboss.jms.ra.JmsLogger

public class JmsLogger
extends java.lang.Object

JmsLogger.java Created: Tue Apr 17 21:21:49 2001

Version:
  $Revision: 1.1.4.3 $
Author:
  Peter Antman.

Constructor Summary
`JmsLogger()`

Method Summary
`void` | `log(Level level, java.lang.String message)`
`void` | `setLogging(boolean log)`
`void` | `setLogLevel(java.lang.String level)`
`void` | `setLogWriter(java.io.PrintWriter out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsLogger

    public JmsLogger()

Method Detail

### setLogWriter

    public void setLogWriter(java.io.PrintWriter out)

### setLogging

    public void setLogging(boolean log)

### setLogLevel

    public void setLogLevel(java.lang.String level)

### log

    public void log(Level level,
                    java.lang.String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.